PromocionesCupones
Crear cupón
POST
/v1/couponsCrear cupón. Una solicitud exitosa devuelve HTTP 201 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/coupons" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "description": "Example description.", "status": "draft", "type": "percentage", "target": "order", "amount": 1, "allocation": "once", "maxQuantity": 1 }'{ "id": "7204558912004325301"}